# InternalUIRenderer (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Graphic

## Class InternalUIRenderer

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer
  - - net.ME1312.SubServers.Client.Bukkit.Graphic.InternalUIRenderer

    public class InternalUIRenderer
    extends UIRenderer

Internal GUI Renderer Class

### Nested Class Summary

### Nested classes/interfaces inherited from class net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer

`UIRenderer.CreatorOptions, UIRenderer.Options`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `back()` Reopens the previous window
`void` `clearHistory()` Clears the Window History
`void` `groupMenu(int page)` Opens the Group Menu
`boolean` `hasHistory()` If there is any Window History
`void` `hostAdmin(java.lang.String host)` Opens Host/<name>
`void` `hostCreator(UIRenderer.CreatorOptions options)` Opens Host/<name>/Create
`void` `hostCreatorTemplates(int page, UIRenderer.CreatorOptions options)`
`void` `hostMenu(int page)` Opens the Host Menu
`void` `hostPlugin(int page, java.lang.String host)` Opens Host/<name>/Plugins
`void` `newUI()` Opens a new window
`void` `reopen()` Reopens the current window
`void` `serverMenu(int page, java.lang.String host, java.lang.String group)` Opens the SubServer Menu
`void` `subserverAdmin(java.lang.String subserver)` Opens SubServer/<name>
`void` `subserverPlugin(int page, java.lang.String subserver)` Opens SubServer/<name>/Plugins

### Methods inherited from class net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer

`addHostPlugin, addSubServerPlugin, getHostPlugins, getSubServerPlugins, removeHostPlugin, removeSubServerPlugin, sendTitle, sendTitle, sendTitle, setDownloading`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newUI

    public void newUI()

Description copied from class: `UIRenderer`
Opens a new window

Specified by:
  `newUI` in class `UIRenderer`

#### clearHistory

    public void clearHistory()

Description copied from class: `UIRenderer`
Clears the Window History

Specified by:
  `clearHistory` in class `UIRenderer`

#### hasHistory

    public boolean hasHistory()

Description copied from class: `UIRenderer`
If there is any Window History

Specified by:
  `hasHistory` in class `UIRenderer`
Returns:
  Window History Status

#### reopen

    public void reopen()

Description copied from class: `UIRenderer`
Reopens the current window

Specified by:
  `reopen` in class `UIRenderer`

#### back

    public void back()

Description copied from class: `UIRenderer`
Reopens the previous window

Specified by:
  `back` in class `UIRenderer`

#### hostMenu

    public void hostMenu(int page)

Description copied from class: `UIRenderer`
Opens the Host Menu

Specified by:
  `hostMenu` in class `UIRenderer`
Parameters:
  `page` - Page Number (starting from page 1)

#### hostAdmin

    public void hostAdmin(java.lang.String host)

Description copied from class: `UIRenderer`
Opens Host/<name>

Specified by:
  `hostAdmin` in class `UIRenderer`
Parameters:
  `host` - Host Name

#### hostCreator

    public void hostCreator(UIRenderer.CreatorOptions options)

Description copied from class: `UIRenderer`
Opens Host/<name>/Create

Specified by:
  `hostCreator` in class `UIRenderer`
Parameters:
  `options` - Creator Options

#### hostCreatorTemplates

    public void hostCreatorTemplates(int page,
                                     UIRenderer.CreatorOptions options)

#### hostPlugin

    public void hostPlugin(int page,
                           java.lang.String host)

Description copied from class: `UIRenderer`
Opens Host/<name>/Plugins

Specified by:
  `hostPlugin` in class `UIRenderer`
  `host` - Host Name

#### groupMenu

    public void groupMenu(int page)

Description copied from class: `UIRenderer`
Opens the Group Menu

Specified by:
  `groupMenu` in class `UIRenderer`
Parameters:
  `page` - Page Number (starting from page 1)

#### serverMenu

    public void serverMenu(int page,
                           java.lang.String host,
                           java.lang.String group)

Description copied from class: `UIRenderer`
Opens the SubServer Menu

Specified by:
  `serverMenu` in class `UIRenderer`
Parameters:
  `page` - Page Number (starting from page 1)
  `host` - Host Name (or null to scan all hosts)

#### subserverAdmin

    public void subserverAdmin(java.lang.String subserver)

Description copied from class: `UIRenderer`
Opens SubServer/<name>

Specified by:
  `subserverAdmin` in class `UIRenderer`
Parameters:
  `subserver` - SubServer Name

#### subserverPlugin

    public void subserverPlugin(int page,
                                java.lang.String subserver)

Description copied from class: `UIRenderer`
Opens SubServer/<name>/Plugins

Specified by:
  `subserverPlugin` in class `UIRenderer`
  `subserver` - SubServer Name